import pika
import json

connection = pika.BlockingConnection(pika.ConnectionParameters(
        host='localhost'))
channel = connection.channel()

channel.queue_declare(queue='dict_messages', durable=True)
for i in range(1, 10):
	message = {
		'id': i,
		'msg': 'message '+ str(i)
	}
	channel.basic_publish(exchange='',
	                      routing_key='dict_messages',
	                      body=json.dumps(message), # to send dict as a message in json
	                      properties=pika.BasicProperties(
	                         delivery_mode = 2, 
	                      ))
	print "Sending Message >> " + str(message)
connection.close()
