import pika
import json

connection = pika.BlockingConnection(pika.ConnectionParameters(
        host='localhost'))
channel = connection.channel()

channel.queue_declare(queue='dict_messages', durable=True)
print('>> Waiting for messages')

def callback(ch, method, properties, body):
    print ">> Received message " + str(json.loads(body)) # reading dict message from json
    ch.basic_ack(delivery_tag = method.delivery_tag)

channel.basic_qos(prefetch_count=1)
channel.basic_consume(callback,
                      queue='dict_messageswork_messages')

channel.start_consuming()