import pika

# creating connection with rabbitmq-server at localhost
connection = pika.BlockingConnection(pika.ConnectionParameters(
        host='localhost'))
channel = connection.channel()

# setting queue to insert the message
channel.queue_declare(queue='messages', durable=True)

# message string
message = "HI we are learning rabbitmq"

# sending message to rabbitmq with a routing key
channel.basic_publish(exchange='',
                      routing_key='messages',
                      body=message,
                      properties=pika.BasicProperties(
                         delivery_mode = 2,
                      ))
print "######\nSending new message\n######"
print message
connection.close()
