
import pika


connection = pika.BlockingConnection(pika.ConnectionParameters(
        host='localhost'))
channel = connection.channel()

channel.queue_declare(queue='messages', durable=True)
print('>> Waiting for messages')

def callback(ch, method, properties, body):
    print(">> Received message " % body)
    ch.basic_ack(delivery_tag = method.delivery_tag)

# prefetch+count = 1  tells consumer to recieve 1 message at a time
channel.basic_qos(prefetch_count=1)

# teling consumer to consume message from messages queue and then send a callback for further operations
channel.basic_consume(callback,
                      queue='messages')

# consuming queue starts
channel.start_consuming()
